%define major           1
%define Basename_       uv
%define libname         %mklibname %{Basename_} %{major}
%define develname       %mklibname %{Basename_} -d
%define staticdevelname %mklibname %{Basename_} -d -s

Name:           libuv
Version:        1.9.0
Release:        %mkrel 4
Summary:        Platform layer for node.js
# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
Group:          Development/C
URL:            http://libuv.org/
Source0:        http://libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
Source2:        libuv.pc.in
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{libname}
Summary:        Platform layer for node.js
Group:          Development/C
Provides:       %{name} = %{version}-%{release}
# Previous package used wrong major in libname
Conflicts:      %{_lib}uv0 < 1.9.0

%description -n %{libname}
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{develname}
Summary:        Development libraries for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for %{name}.

%package -n     %{staticdevelname}
Summary:        Platform layer for node.js - static library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of %{name}.

%prep
%setup -q -n %{name}-v%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%{_includedir}/uv*.h

%files -n %{staticdevelname}
%{_libdir}/libuv.a


%changelog
* Mon May 16 2016 akien <akien> 1.9.0-4.mga6
+ Revision: 1016175
- Fix conflicts with libuv0

  + daviddavid <daviddavid>
    - pass NOCONFIGURE=1 to autogen

* Mon May 16 2016 neoclust <neoclust> 1.9.0-3.mga6
+ Revision: 1015966
- Use major in file list
- Fix provides

* Sun May 15 2016 neoclust <neoclust> 1.9.0-1.mga6
+ Revision: 1015834
- New version

* Sun May 15 2016 neoclust <neoclust> 1.8.0-3.mga6
+ Revision: 1015657
- Add libuv provide

* Fri Feb 26 2016 luigiwalser <luigiwalser> 1.8.0-2.mga6
+ Revision: 979732
- rebuild with configure2_5x and makeinstall_std

* Sat Dec 19 2015 joequant <joequant> 1.8.0-1.mga6
+ Revision: 911871
- upgrade to 1.8.0

* Thu Aug 20 2015 shlomif <shlomif> 1.7.0-1.mga6
+ Revision: 866884
- Fix group
- Non-standard group
- Move the URL to be global - rpmlint
- Cleanups for Mageia
- Importing libuv from Fedora

